Bug 216593 - Update sysutils/graylog to 2.2.1
Summary: Update sysutils/graylog to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-30 04:09 UTC by Thomas Bartelmess
Modified: 2017-03-04 15:28 UTC (History)
4 users (show)

See Also:
thomas: maintainer-feedback+
thomas: maintainer-feedback+


Attachments
Patch (46.94 KB, patch)
2017-01-30 04:09 UTC, Thomas Bartelmess
no flags Details | Diff
Patch to update to 2.2.0 (6.36 KB, patch)
2017-02-17 15:29 UTC, Thomas Bartelmess
no flags Details | Diff
Suggested patch, adding files missing in the 2.2.0 and updating to 2.2.1 (27.12 KB, patch)
2017-03-02 11:53 UTC, Palle Girgensohn
no flags Details | Diff
Patch graylog to 2.2.1 (27.81 KB, patch)
2017-03-03 21:06 UTC, Palle Girgensohn
thomas: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Bartelmess 2017-01-30 04:09:26 UTC
Created attachment 179417 [details]
Patch

Updated to graylog 2.1.2
Comment 1 Thomas Bartelmess 2017-01-30 04:11:16 UTC
Portlint output:
WARN: Makefile: possible use of absolute pathname "/var/db/graylog".
0 fatal errors and 1 warning found.
Comment 2 Zane C. Bowers-Hadley 2017-02-17 14:39:37 UTC
Looks like this needs updated again since 2.2.0 just game out. Also in regard to the 2.1.* branch, there is also 2.1.3 now.
Comment 3 Thomas Bartelmess 2017-02-17 15:28:38 UTC
h
Comment 4 Thomas Bartelmess 2017-02-17 15:29:25 UTC
Created attachment 180078 [details]
Patch to update to 2.2.0
Comment 5 Palle Girgensohn freebsd_committer 2017-03-02 11:18:03 UTC
Hi, I guess www/graylog-web-interface should be removed as well, since it is all bundled in one package nowadays?

Palle
Comment 6 Thomas Bartelmess 2017-03-02 11:43:25 UTC
(In reply to Palle Girgensohn from comment #5)
Yes the web interface is now bundled with the graylog server
Comment 7 Palle Girgensohn freebsd_committer 2017-03-02 11:53:35 UTC
Created attachment 180435 [details]
Suggested patch, adding files missing in the 2.2.0 and updating to 2.2.1

Hi!

In the second patch, for 2.2.0, you accidentally misswed adding the new files in the files/ directory.

I bumped version to 2.2.1 and add the files. Also did a
  svn mv files/graylog.conf.example files/server.conf.sample.in
since the server.conf was quite similar to the graylog.conf.

Check out the attached patch, combining your 2.2.0 patch with the missing files/ from the 2.1.x patch, and also updated to 2.2.1. Haven't tried it with poudriere yet, will do soon.

Is it complete?

OK to commit?

Palle
Comment 8 Palle Girgensohn freebsd_committer 2017-03-02 11:56:50 UTC
Also, a quick question. What is the point of having config in 

  /usr/local/etc/graylog/server/server.conf

wouldn't

  /usr/local/etc/graylog/server.conf 

be sufficient?

Is it the default from graylog?
Comment 9 Thomas Bartelmess 2017-03-02 12:14:34 UTC
(In reply to Palle Girgensohn from comment #8)

I agree that the path is a bit verbose, I've copied what graylog does on Linux:
http://docs.graylog.org/en/2.2/pages/installation/manual_setup.html
Comment 10 Palle Girgensohn freebsd_committer 2017-03-02 12:16:11 UTC
(In reply to Thomas Bartelmess from comment #9)

OK. In that case, let's stick with that. :)
Comment 11 Palle Girgensohn freebsd_committer 2017-03-03 21:06:48 UTC
Created attachment 180476 [details]
Patch graylog to 2.2.1

Hello again Thomas,

As I tested the port with poudriere, I stumbled on a thing or two. I ended up making a bucnh of small suggestions to the port, just to make it somewhat more lightweigth. 

I suggest installing graylog in /usr/local/share/graylog, it appeals me more than installing directly under /usr/local and is more according to what hier(7) specifies. and DATADIR is already set in the ports infrastructure, so it does slim the Makefile a bit. 

Check out the patch. Ia it alright for you if I commit it?

Palle
Comment 12 Thomas Bartelmess 2017-03-03 21:14:22 UTC
(In reply to Palle Girgensohn from comment #11)

Hi Palle,

the changes look good to me.

Thanks,

- Thomas
Comment 13 commit-hook freebsd_committer 2017-03-03 23:58:10 UTC
A commit references this bug:

Author: girgen
Date: Fri Mar  3 23:58:02 UTC 2017
New revision: 435375
URL: https://svnweb.freebsd.org/changeset/ports/435375

Log:
  Update graylog to latest version, 2.2.1

  PR:	216593

Changes:
  head/sysutils/graylog/Makefile
  head/sysutils/graylog/distinfo
  head/sysutils/graylog/files/graylog.conf.example
  head/sysutils/graylog/files/graylog.in
  head/sysutils/graylog/files/pkg-message.in
  head/sysutils/graylog/files/server.conf.sample.in
  head/sysutils/graylog/pkg-plist
  head/www/graylog-web-interface/
Comment 14 Palle Girgensohn freebsd_committer 2017-03-03 23:58:53 UTC
Committed. Thanks!
Comment 15 Thomas Bartelmess 2017-03-04 13:48:16 UTC
(In reply to Palle Girgensohn from comment #14)
Hi Palle,

thanks for commiting this. However today Graylog 2.2.2 was commited.
The port still works fine. I've created a follow up bug (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=217534) to update the port. Nothing changed except for the version number and the checksums.

Thanks,

- Thomas
Comment 16 commit-hook freebsd_committer 2017-03-04 15:28:51 UTC
A commit references this bug:

Author: girgen
Date: Sat Mar  4 15:28:45 UTC 2017
New revision: 435412
URL: https://svnweb.freebsd.org/changeset/ports/435412

Log:
  Update graylog to 2.2.2

  PR:	216593

Changes:
  head/sysutils/graylog/Makefile
  head/sysutils/graylog/distinfo
  head/sysutils/graylog/pkg-plist